Debian Bug report logs - #642463
please support having parentheses in LB_ISO*

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Yaroslav Halchenko <debian@onerussian.com>

Date: Thu, 22 Sep 2011 19:06:01 UTC

Severity: wishlist

Tags: patch

Fixed in version live-build/3.0~a32-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642463; Package live-build. (Thu, 22 Sep 2011 19:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

3.0_a31-1-12-gb820153

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Thu, 22 Sep 2011 19:06:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: crashes with defaults.sh: eval: line 1200: syntax error near unexpected token `('
Date: Thu, 22 Sep 2011 15:04:52 -0400
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0_a31-1-12-gb820153
Severity: normal


in case those variables contain ( or ), see attached patch for the fix

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (600, 'unstable'), (300, 'experimental'), (100, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[0001-ENH-Enclose-shell-variables-in-escaped-while-evaluat.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642463; Package live-build. (Thu, 22 Sep 2011 19:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 22 Sep 2011 19:15:10 GMT) Full text and rfc822 format available.

Message #10 received at 642463@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 642463@bugs.debian.org
Subject: Re: Bug#642463: crashes with defaults.sh: eval: line 1200: syntax error near unexpected token `('
Date: Thu, 22 Sep 2011 21:13:27 +0200
retitle 642463 please support having parentheses in LB_ISO*
severity 642463 wishlist
tag 642463 patch
tag 642463 pending
thanks

On 09/22/2011 09:04 PM, Yaroslav Halchenko wrote:
> in case those variables contain ( or ), see attached patch for the fix

applied in git with slightly modified commit message, thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Changed Bug title to 'please support having parentheses in LB_ISO*' from 'crashes with defaults.sh: eval: line 1200: syntax error near unexpected token `('' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 22 Sep 2011 19:15:14 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 22 Sep 2011 19:15:15 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 22 Sep 2011 19:15:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 22 Sep 2011 19:15:16 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 27 Sep 2011 21:27:18 GMT) Full text and rfc822 format available.

Notification sent to Yaroslav Halchenko <debian@onerussian.com>:
Bug acknowledged by developer. (Tue, 27 Sep 2011 21:27:18 GMT) Full text and rfc822 format available.

Message #23 received at 642463-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 642463-close@bugs.debian.org
Subject: Bug#642463: fixed in live-build 3.0~a32-1
Date: Tue, 27 Sep 2011 21:24:09 +0000
Source: live-build
Source-Version: 3.0~a32-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a32-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a32-1_all.deb
live-build-cron_3.0~a32-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a32-1_all.deb
live-build_3.0~a32-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a32-1.debian.tar.gz
live-build_3.0~a32-1.dsc
  to main/l/live-build/live-build_3.0~a32-1.dsc
live-build_3.0~a32-1_all.deb
  to main/l/live-build/live-build_3.0~a32-1_all.deb
live-build_3.0~a32.orig.tar.gz
  to main/l/live-build/live-build_3.0~a32.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642463@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 27 Sep 2011 22:54:36 +0200
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a32-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-build-cron - Debian Live - System Build Scripts (cron autobuilder)
Closes: 642463
Changes: 
 live-build (3.0~a32-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Correcting wrong spelling of cache in exit function, thanks to David
     Endler for spotting it.
   * Adding option for setting filesystem label on usb-hdd images.
   * Correcting syntax error in tr command used in default for hdd-label
     in progress mode.
   * Renaming usb-hdd binary image type to simply hdd.
   * Updating volatile handling in chroot_archives for derivatives when
     using foo-backports distribution scheme.
   * Temporarily removing live-tools from standard package list, doesn't
     work for derivatives yet.
   * Making sure that volatile for the parent distribution is still
     included in derivatives mode.
   * Switching away from cdn.debian.net as default mirrors for progress,
     too unreliable outside of Europe.
   * Renaming forgotten lb_binary_usb and lb_source_usb to lb_binary_hdd
     resp. lb_source_hdd.
   * Correcting incomplete checks for local packages in lb_binary_debian-
     installer.
   * Removing leftovers from usb-hdd to hdd removal in lb_binary_hdd and
     lb_source_hdd.
 .
   [ Yaroslav Halchenko ]
   * Enclosing shell variables for iso-* defaults in escaped double-
     quotes while evaluating for the length to allow using parentheses
     (Closes: #642463).
 .
   [ Daniel Baumann ]
   * Correcting typo in config/includes.chroot creating in lb_config,
     thanks to Stanislav Bogatyrev <realloc@realloc.spb.ru> for reporting
     it.
 .
   [ Yaroslav Halchenko ]
   * Fixing left-over uses of --binary-indices in templates/cgi.
   * Fixing left-over uses of --packages-lists in cron scripts and
     examples.
Checksums-Sha1: 
 5c6adc9d8451ee7bf7e468d375d43da9877a0511 1413 live-build_3.0~a32-1.dsc
 5d976d3dc4d52ad166355afc094c8ea1d534ac13 1839019 live-build_3.0~a32.orig.tar.gz
 b9cbfd9adba1434fb32e66c5d1f8831e917178d5 49213 live-build_3.0~a32-1.debian.tar.gz
 27b4bebca23b96a910ffc3f121ee7abc89b15413 1135756 live-build_3.0~a32-1_all.deb
 59e967a3693476a00cc4d7093b8b4e4a05ec582f 62626 live-build-cgi_3.0~a32-1_all.deb
 e41922ba2fd6033b5cb5cbdcb3972e8a9a4ce5cf 62692 live-build-cron_3.0~a32-1_all.deb
Checksums-Sha256: 
 78934b0fb7681393cce0828f4146ff58c53e9883cdb53db5726a402d0a092799 1413 live-build_3.0~a32-1.dsc
 d6aa0aff72c3bf4ddc8e810264bb49edf4068aa304904000bb70fd53435e3e95 1839019 live-build_3.0~a32.orig.tar.gz
 21c94436c20244d67d77bfdce01bf02c65cc0a719218ec91eaacf343a0d36e9d 49213 live-build_3.0~a32-1.debian.tar.gz
 029d766e4a0d3f7a63c82676c004cd810e9af66980753b11cc3ff5cf36699e23 1135756 live-build_3.0~a32-1_all.deb
 717b2e1ce890f2b04457cc9b569e2525365799913d3ac5f5ed641d4fbd7f687a 62626 live-build-cgi_3.0~a32-1_all.deb
 cd62af5e2bdca968c42541181b54a3018f5c9092651a33f9b416a4250b3fbd0b 62692 live-build-cron_3.0~a32-1_all.deb
Files: 
 48259087ff5a1967b463482fe50fac64 1413 misc optional live-build_3.0~a32-1.dsc
 dec567c2ea683fa22e97554ff28a7d76 1839019 misc optional live-build_3.0~a32.orig.tar.gz
 25429e3f18cacca8537a6b8142f3def0 49213 misc optional live-build_3.0~a32-1.debian.tar.gz
 7a08041f1e13216356e4501397241d07 1135756 misc optional live-build_3.0~a32-1_all.deb
 25493dc91a795ed920f580e9d2658af0 62626 misc optional live-build-cgi_3.0~a32-1_all.deb
 4719769d162797ce4f6265ed10437054 62692 misc optional live-build-cron_3.0~a32-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk6COgoACgkQ+C5cwEsrK57Q9gCgiR46sWqs4iyRHO3wA5kIdk+p
9N4Anj9gmqH9wj/y842pKQxKjxRqAgDJ
=8YJ1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Oct 2011 07:40:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:54:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.